> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/references/crash-reporting/custom-fingerprinting.md).

# Custom Fingerprinting

In the event that you'd like to report the exception manually with a custom grouping fingerprint in mind, you can use the below APIs to do so.

{% tabs fullWidth="false" %}
{% tab title="iOS - Swift" %}

<pre class="language-swift"><code class="lang-swift">CrashReporting.reportError(error, withGroupingString: "grouping string")
<strong>CrashReporting.report(exception, withGroupingString: "grouping string")
</strong></code></pre>

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQCrashReporting reportException:exception groupingString:@"grouping string"];
[LCQCrashReporting reportError:error groupingString:@"grouping string"];
```

{% endtab %}

{% tab title="And - Java" %}

```java
CrashReporting.reportException(throwable, "exception identifier", userAttrsMap, "grouping fingerprint");
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
CrashReporting.reportException(throwable, "exception identifier", userAttrsMap, "grouping fingerprint")
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/references/crash-reporting/custom-fingerprinting.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
